    $( "#autocomplete" ).on( "filterablebeforefilter", function ( e, data ) {
            var $ul = $( this ),
                $input = $( data.input ),
                value = $input.val(),
                html = "";
            $("#picloader").show();
            $ul.html("");
            if ( value && value.length > 2 ) {
                //$ul.html('<li><img src="../jQueryM/css/images/ajax-loader.gif"></li>');
                //$ul.listview( "refresh" );
                $.ajax({
                    url: "../data/produit.html",
                    type:'POST',
                    success:function(reponse){
                        $ul.html(reponse);
                        $("#picloader").hide();
                    },
                    error:function(e){
                        $ul.html("<li>error:"+e+"</li>");
                        $("#picloader").hide();
                    }
                });
                /*
                .then( function ( response ) {
                    $.each( response, function ( i, val ) {
                        html += "<li>" + val + "</li>";
                    });
                    $ul.html( html );
                    $ul.listview( "refresh" );
                    $ul.trigger( "updatelayout");
                });
                */
            }
    });